[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpWrite

Write data to file descriptor

## Declaration

Source position: line 0

`function FpWrite(`
`fd: cint;`
`buf: PChar;`
`nbytes: TSize`
`):TsSize; function FpWrite(`
`fd: cint;`
`const buf;`
`nbytes: TSize`
`):TsSize;`

## Description

FpWrite writes at most nbytes bytes from buf to file descriptor fd.

The function returns the number of bytes actually written, or -1 if an error occurred.

## Errors

Extended error information can be retrieved using fpGetErrno.

## See also

FpOpen |  | Open file and return file descriptor
FpClose |  | Close file descriptor
FpRead |  | Read data from file descriptor
FpFTruncate |  | Truncate file on certain size.
FpLSeek |  | Set file pointer position.

Documentation generated on: Feb 26 2014